aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSelene ToyKeeper2021-07-22 10:14:07 -0600
committerSelene ToyKeeper2021-07-22 10:14:07 -0600
commit2b6e0240465aee32b14e5dfba98b3d4a1567e2bd (patch)
treece2b5dcbcc19c5ffa996d2694362b96d3ab5f9af
parentgive a more useful error message when t1616 files aren't installed (diff)
downloadanduril-2b6e0240465aee32b14e5dfba98b3d4a1567e2bd.tar.gz
anduril-2b6e0240465aee32b14e5dfba98b3d4a1567e2bd.tar.bz2
anduril-2b6e0240465aee32b14e5dfba98b3d4a1567e2bd.zip
summarize results at end of batch build process
-rwxr-xr-xspaghetti-monster/anduril/build-all.sh31
1 files changed, 30 insertions, 1 deletions
diff --git a/spaghetti-monster/anduril/build-all.sh b/spaghetti-monster/anduril/build-all.sh
index 42a36fd..78ebb20 100755
--- a/spaghetti-monster/anduril/build-all.sh
+++ b/spaghetti-monster/anduril/build-all.sh
@@ -4,12 +4,41 @@ UI=anduril
date '+#define VERSION_NUMBER "%Y%m%d"' > version.h
+PASS=0
+FAIL=0
+PASSED=''
+FAILED=''
+
for TARGET in cfg-*.h ; do
+
+ # friendly name for this build
NAME=$(echo "$TARGET" | perl -ne '/cfg-(.*).h/ && print "$1\n";')
echo "===== $NAME ====="
+
+ # figure out MCU type
ATTINY=$(grep 'ATTINY:' $TARGET | awk '{ print $3 }')
if [ -z "$ATTINY" ]; then ATTINY=85 ; fi
+
+ # try to compile
echo ../../../bin/build.sh $ATTINY "$UI" "-DCONFIGFILE=${TARGET}"
../../../bin/build.sh $ATTINY "$UI" "-DCONFIGFILE=${TARGET}"
- mv -f "$UI".hex "$UI".$NAME.hex
+
+ # track result, and rename compiled files
+ if [ 0 = $? ] ; then
+ mv -f "$UI".hex "$UI".$NAME.hex
+ PASS=$(($PASS + 1))
+ PASSED="$PASSED $NAME"
+ else
+ echo "ERROR: build failed"
+ FAIL=$(($FAIL + 1))
+ FAILED="$FAILED $NAME"
+ fi
+
done
+
+# summary
+echo "===== $PASS builds succeeded, $FAIL failed ====="
+#echo "PASS: $PASSED"
+if [ 0 != $FAIL ]; then
+ echo "FAIL:$FAILED"
+fi